Skip to main content
GET
/
browser-agent
/
credentials
/
{userId}
/
{teamId}
List browser logins
curl --request GET \
  --url https://api.duvo.ai/v1/browser-agent/credentials/{userId}/{teamId} \
  --header 'Authorization: Bearer <token>'
[
  {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "domain": "<string>",
    "username": "<string>",
    "hasEnabledTOTP": true,
    "hasPassword": true,
    "user_id": "<string>"
  }
]

Documentation Index

Fetch the complete documentation index at: https://docs.duvo.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key authentication. Get your API key from the Duvo dashboard.

Path Parameters

userId
string<uuid>
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12})$
teamId
string<uuid>
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12})$

Query Parameters

domain
string
Minimum string length: 1

Response

Default Response

id
string<uuid>
required

Credential ID

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12})$
domain
string
required

Domain for the credential

username
string | null
required

Username (if any)

hasEnabledTOTP
boolean
required

Whether TOTP is enabled

hasPassword
boolean
required

Whether a password is stored

user_id
string | null
required

Owner user id; null when shared with the team